<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes and Links</title>
</head>
<body>
		<!-- id attribute - unique identifier -->
		<h2 id="top"> HTML Attributes</h2>
			<p align="center"> Modifiers of element behaviors.</p>

		<h2> HTML Images</h2>
		<!-- HTML entities html reserved characters -->
			<p> 
				<em> 
					An image can be shown using &lt;img&gt; tag along with its <strong>src attribute</strong>
				</em>
			</p>
			<a href="https://place-puppy.com/">
			<img src="https://place-puppy.com/300x300">
			</a>
			<p>
				<!-- code tag - used to define a piece of computer code with monospace font -->
				<code>
					&lt;img src="https://place-puppy.com/300x300"&gt;
				</code>
			</p>
			<a href="https://zuitt.co" target="_blank">
			<img src="./images/zuittlogo.png">
			</a>
			<p>
				<!-- using relative link -->
				<code>
					&lt;img src="./images/zuittlogo.png"&gt;
				</code>
			</p>

			<p>Valid image extensions are the following:</p>
			<!-- type attribute values for <ol>:
				- 1
				- A or a
				- I or i
			 -->
			<ol type="a" reversed> 
				<li>png</li>
				<li>jpg</li>
				<li>gif</li>
				<li>svg</li>
				<li>webp</li>
			</ol>

			<p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here.</a></p>

			<h2>HTML Links</h2>

			<h4>Absolute Link</h4>
			<!-- href stands for hypertext reference -->
			<a href="https://zuitt.co">I'm a hyperlink</a>

			<h4>Relative Link</h4>
			<!-- href stands for hypertext reference -->
			<p>Go to <a href="./link.html">link.html </a>page.</p>
			<!-- this is an example of within page relative hyperlink -->
			<p>Go to <a href="#top">top</p>
</body>
</html>